modcalls.d(1m)

NAME
modcalls.d - kernel function calls by module. Uses DTrace.

SYNOPSIS
modcalls.d

DESCRIPTION
modcalls.d is a DTrace OneLiner to a report of the number of kernel function calls by module. This script may be useful to determine whether drivers are "thinking" when troubleshooting driver issues. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # modcalls.d

FIELDS

first field
    This is the module name, or kernel driver name. if a name is unfamiliar to you there may be a man page to explain what it is.

second field
    This is the number of function calls by this module.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
modcalls.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)